Users login

Create an account »

JOIN XATRIX

Users login

Home » Security Advisories» Fedora » jenkins 1.625.3 updates

jenkins 1.625.3 updates

Security fix for CVE-2016-3721, CVE-2016-3722, CVE-2016-3723, CVE-2016-3724, CVE-2016-3725, CVE-2016-3726, CVE-2016-3727

  • Vendor: Fedora
  • Vendor ID: FEDORA-2016-9ba53cf8a2
  • Date: May 26, 2016


--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2016-9ba53cf8a2
2016-05-26 17:29:38.375526
--------------------------------------------------------------------------------

Name : jenkins
Product : Fedora 23
Version : 1.625.3
Release : 4.fc23
URL : http://jenkins-ci.org
Summary : An extendable open source continuous integration server
Description :
Jenkins is an award-winning, cross-platform, continuous integration and
continuous delivery application that increases your productivity. Use
Jenkins to build and test your software projects continuously making it
easier for developers to integrate changes to the project, and making it
easier for users to obtain a fresh build. It also allows you to
continuously deliver your software by providing powerful ways to define
your build pipelines and integrating with a large number of testing and
deployment technologies.

--------------------------------------------------------------------------------
Update Information:

Security fix for CVE-2016-3721, CVE-2016-3722, CVE-2016-3723, CVE-2016-3724,
CVE-2016-3725, CVE-2016-3726, CVE-2016-3727
--------------------------------------------------------------------------------
References:

[ 1 ] Bug #1335415 - CVE-2016-3721 jenkins: Arbitrary build parameters are passed to build
scripts as environment variables (SECURITY-170)
https://bugzilla.redhat.com/show_bug.cgi?id=1335415
[ 2 ] Bug #1335416 - CVE-2016-3722 jenkins: Malicious users with multiple user accounts can
prevent other users from logging in (SECURITY-243)
https://bugzilla.redhat.com/show_bug.cgi?id=1335416
[ 3 ] Bug #1335417 - CVE-2016-3723 jenkins: Information on installed plugins exposed via API
(SECURITY-250)
https://bugzilla.redhat.com/show_bug.cgi?id=1335417
[ 4 ] Bug #1335418 - CVE-2016-3724 jenkins: Encrypted secrets (e.g. passwords) were leaked to
users with permission to read configuration (SECURITY-266)
https://bugzilla.redhat.com/show_bug.cgi?id=1335418
[ 5 ] Bug #1335420 - CVE-2016-3725 jenkins: Regular users can trigger download of update site
metadata (SECURITY-273)
https://bugzilla.redhat.com/show_bug.cgi?id=1335420
[ 6 ] Bug #1335421 - CVE-2016-3726 jenkins: Open redirect to scheme-relative URLs (SECURITY-276)
https://bugzilla.redhat.com/show_bug.cgi?id=1335421
[ 7 ] Bug #1335422 - CVE-2016-3727 jenkins: Granting the permission to read node configurations
allows access to overall system configuration (SECURITY-281)
https://bugzilla.redhat.com/show_bug.cgi?id=1335422
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program. Use
su -c 'yum update jenkins' at the command line.
For more information, refer to "Managing Software with yum",
available at https://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key. More details on the
GPG keys used by the Fedora Project can be found at
https://fedoraproject.org/keys
--------------------------------------------------------------------------------
_______________________________________________
package-announce mailing list
[email protected]
https://lists.fedoraproject.org/admin/lists/package-annou...

Newsletter signup

Signup to our monthly newsletter and stay in touch with IT news!

Free E-books

We've got ebooks! But they're not online. :( Please give us a few days to bring downloads back.

Contact

Have something to say or just wanna drop us a line? Please keep this in mind: to spam, we reply with spam.

Contact us »